## initramfs-tools 0.32

=== debian/changelog ===
initramfs-tools (0.32) breezy; urgency=low

  "An idea that is not dangerous is unworthy of being called an idea
   at all."
  - Oscar Wilde

  * scripts/nfs (mountroot): New variable: NFSOPTS, default to
    -o retranfs=10, hopefully closes 12942.  The can be
    overridden in the initramfs.conf file.
    Thanks to Oliver Grawert for testing this!

  * hook-scripts (auto_add_modules): Add jfs
    (dep_add_modules): Ditto.
    (Ubuntu #16742)
    Thanks to Colin Watson for this fix!

 -- Jeff Bailey <jbailey@ubuntu.com>  Mon,  3 Oct 2005 23:03:23 -0400

initramfs-tools (0.31) breezy; urgency=low

  * Make us a bit more silent/tidy by default, unless "quiet" isn't on
    the kernel's command line (then we're just as verbose as ever)

 -- Adam Conrad <adconrad@ubuntu.com>  Sat,  1 Oct 2005 05:04:15 +1000

initramfs-tools (0.30) breezy; urgency=low

  "The imagination imitates. It is the critical spirit that creates."
  - Oscar Wilde

  * scripts/functions (log_begin_msg): Call usplash if available
  (log_end_msg): Call usplash if available
  (panic): Close usplash if available

  * debian/init: Add "Loading, please wait..." message.
  Don't log for init-top scripts to avoid usplash noise.

  * HACKING: Start of some notes on how this package actually works.
  * debian/initramfs-tools.docs: Install it.

 -- Jeff Bailey <jbailey@ubuntu.com>  Tue, 27 Sep 2005 23:15:31 -0400

initramfs-tools (0.29) breezy; urgency=low

  "Beauty is a form of genius - is higher, indeed, than genius, as it
   needs no explanation."
  - Oscar Wilde

  * hook-functions (auto_add_modules): Add advansys.

  * debian/rules: Make sure hooks and scripts are chmod +x

  * init: Add start of debug command line option.

 -- Jeff Bailey <jbailey@ubuntu.com>  Tue, 20 Sep 2005 15:47:42 -0400

initramfs-tools (0.28) breezy; urgency=low

  * Run udevstart after loading block drivers - should fix resume from 
    hibernate on non-LVM systems.

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Tue, 20 Sep 2005 01:13:31 +0100

initramfs-tools (0.27) breezy; urgency=low

  "Always forgive your enemies; nothing annoys them so much."
  - Oscar Wilde

  * update-initramfs: Use basename on the link target to get the
    version number.

  * scripts/local-premount/suspend: Quote resume variable.
  * scripts/functions (load_modules): Quote resume variable.
    Thanks to Christian Kellner for helping test that!

 -- Jeff Bailey <jbailey@ubuntu.com>  Mon, 19 Sep 2005 17:52:49 -0400

initramfs-tools (0.26) breezy; urgency=low

  "Experience is one thing you can't get for nothing."
  - Oscar Wilde 

  * scripts/local-top/lvm: Reduce -- to - in VG strings for feeding
    to vgchange.  (Ubuntu: #13387)

  * update-initramfs: New file
  * debian/dirs: Add /var/lib/initramfs-tools

  * hooks/evms: New file
  * scripts/local-top/evms: New file.
    Thanks to Jerry Haltom for helping test this!

  * debian/control: Bump klibc depends to 1.0.14-1ubuntu2 for jfs support

  * hook-scripts (manual_add_modules): Don't do unnecessary depmod
    (dep_add_modules): No need for a sleep 2 here.
    Thanks to Matt Zimmmerman for noticing these!

  * scripts/functions: Attempt resume before loading USB or Network
    modules to avoid resume issues with USB.
    Thanks to Matthew Garrett for this patch!

  * scripts/functions (ide_boot_events): Always load ide-generic
    before going further.  This allows us to catch any hidden
    IDE controllers that might not otherwise get found.

  * initramfs.conf.5: New file
  * debian/initramfs-tools.manpages: Install it.
    Thanks to maximilian attems for the manpage!

  * hook-functions (auto_add_modules): Add mptscsih (Ubuntu #15406)
    Thanks to Jesper Krogh for the bug report!

  * debian/dirs: Add etc/mkinitramfs/hooks, move all scripts subdirs
    into etc/mkinitramfs/scripts.

  * mkinitramfs: Set the umask.  Copy the scripts from  
    /etc/mkinitramfs/scripts into the image.
    Make sure that modules file lists is actually a regular file.

  * init: Use ${rootmnt} instead of hardcoded /root, use mount -n
    Fix typo.

  * hook-functions (catenate_cpiogz): Add sanity check.
    (add_modules_from_file): Document, quote variable, add warning.

  * docs/example_hook: Update
    Thanks to Karl Hegbloom for these previous 5 patches!

  * init: Create /var/lock on the initramfs
    Thanks to Jerry Haltom for noticing this!

  * debian/dirs: rename to ...
  * debian/initramfs-tools.dirs: ... this.

  * scripts/functions (scsi_boot_events): Don't attempt to look
    at ${device}/type if it doesn't actually exist.

 -- Jeff Bailey <jbailey@ubuntu.com>  Wed, 14 Sep 2005 14:12:24 -0400

initramfs-tools (0.25) breezy; urgency=low

  "If there was less sympathy in the world, there would be less
   trouble in the world."
  - Oscar Wilde

  * init: Module the /dev tmpfs earlier.  Make /dev/console, and
    /dev/null on it at the beginning, just in case.

  * debian/initramfs-tools.postinst: When copying the modules file over
    from initrd-tools installations, filter out ext2, ext3, ide-generic
    and ide-disk.  These are leftovers from Warty.
    (Ubuntu #14242)

  * hooks/udev: New File (Ubuntu #12915)

  * init: panic if ${init} doesn't exist on the target filesystem.

 -- Jeff Bailey <jbailey@ubuntu.com>  Thu,  1 Sep 2005 00:13:47 -0400

initramfs-tools (0.24) breezy; urgency=low

  "Experience is simply the name we give out mistakes."
  - Oscar Wilde

  * hook-functions (auto_add_modules): Add cciss
    (Ubuntu #14177) Thanks Fabionne!

  * scripts/functions (parse_numeric): Noop on empty parameter.
    Fixes LTSP boot failure.  Thanks to Oliver Grawert
    for testing!

  * scripts/local-top/md: Don't run modprobe when raidlvl is unset.
    Run mdadm if raidlvl has ever been set, not just if the most
    recent device checked was part of the raid setup.
    Thanks to Jeff Waugh for the bug report!

  * mkinitramfs: Feed the -o argument through readlink -f to
    get the canonical pathname.


