=== debian/control ===
Source: initramfs-tools
Section: utils
Priority: optional
Maintainer: Jeff Bailey <jbailey@ubuntu.com>
Build-Depends-Indep: debhelper (>= 4.0.0), cdbs
Standards-Version: 3.6.2.0

Package: initramfs-tools
Architecture: all
Depends: klibc-utils (>= 1.0.14-1ubuntu2), busybox-cvs-initramfs (>= 20040623-1ubuntu19), cpio, mdadm, lvm2 (>= 2.01.04-5), udev
Description: tools for generating an initramfs
 This package contains tools to create and boot an initramfs for prepackaged
 2.6 Linux kernel. The initramfs is an cpio archive. At boot time, the kernel
 unpacks that archive into ram, mounts and uses it as initial root file system.
 From there on the mounting of the real root file system occurs in user space.
 klibc handles the boot-time networking setup. Supports nfs root system.
 Any boot loader with initrd support is able to load an initramfs archive.
