## initramfs-tools 0.40ubuntu32

=== debian/changelog ===
initramfs-tools (0.40ubuntu32) dapper; urgency=low

  * Revert 0.40ubuntu31.  This isn't as trivial as it should be.

 -- Matt Zimmerman <mdz@ubuntu.com>  Sun, 21 May 2006 10:17:50 -0700

initramfs-tools (0.40ubuntu31) dapper; urgency=low

  * scripts/local-premount/resume: Print a message when a resume is about to
    begin (LP#41137)

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri, 19 May 2006 15:14:53 -0700

initramfs-tools (0.40ubuntu30) dapper; urgency=low

  * This release brought to you by Fujitsu hard drives, which have forced
    me to rewrite all my most recent initramfs-tools changes from memory.
  * Include arcmsr module in the scsi module list (launchpad.net/40075)
  * Abstract out the kernel minversion checking stuff into the function
    library, so we can reuse it to check minversion requirements for hook
    scripts as well (such as udev, which requires >= 2.6.15 in dapper)
  * Bump the kernel minversion to 2.6.15 on hppa and ia64, since they used
    initrd-tools with their 2.6.12 kernels in breezy, not initramfs-tools.
  * If mkinitramfs fails due to minversion not being met, don't bail out
    of update-initramfs, but just exit 0, so upgrades don't halt on it.
  * Conditionalise the use of lvm and md in mkinitramfs so it's a no-op if
    you don't have those packages installed, but allows for smooth upgrades
    if you have older versions that don't ship their own hooks yet.
  * Make prereqs conditional on the script/hook actually existing.  From
    now on, this means that 'PREREQ="udev"' means "run udev first, iff it
    happens to be installed".  Having the files exist on the filesystem if
    you have a HARD dependency should be enforced with package dependencies.
  * Add ohci1394 and sbp2 to the scsi module list (launchpad.net/37479)
  * Move framebuffer setup from usplash to scripts/local-top/framebuffer
    so that people booting with vga=1234 but no splash will still get a
    framebuffer instead of a useless black console (launchpad.net/27669)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 16 May 2006 19:51:08 +1000

initramfs-tools (0.40ubuntu29) dapper; urgency=low

  * Make "update-initramfs -u" try to find the running kernel *after* it
    attempts to search the symbolic link list and its own sha1 list.
    Using this as a fallback, rather than the default, should solve most
    upgrade issues, where people found their initramfs was half-baked.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 19 Apr 2006 13:51:35 +1000

initramfs-tools (0.40ubuntu28) dapper; urgency=low

  * Add raid10 module to the generic module list (launchpad.net/28028)
  * Add cpqarray to the scsi module list (launchpad.net/{26632,35202})
  * Unset debug before we run the real init (launchpad.net/24095)
  * Add the gdth module to the default scsi list (launchpad.net/31542)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 24 Mar 2006 04:33:44 +1100

initramfs-tools (0.40ubuntu27) dapper; urgency=low

  * Drop the evms, lvm and md local-top scripts; they're all provided by
    their own packages now.  This makes the depdencies rather nicer.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 23 Mar 2006 18:04:48 +0000

initramfs-tools (0.40ubuntu26) dapper; urgency=low

  * Make the md and evms local-top scripts pre-requisite the udev one.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 23 Mar 2006 17:54:32 +0000

initramfs-tools (0.40ubuntu25) dapper; urgency=low

  * Move the "loop waiting for the root filesystem" code from the udev
    premount script to the local mountroot() function where it truly
    belongs.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 22 Mar 2006 16:28:46 +0000

initramfs-tools (0.40ubuntu24) dapper; urgency=low

  * Add support for LSI Logic's Fusion MPT SAS and FC controllers as well.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 23 Feb 2006 23:27:16 +1100

initramfs-tools (0.40ubuntu23) dapper; urgency=low

  * Grow a conf.d directory for config snippets, and toss the RESUME option
    in there, to stop editing our own conffile in our maintainer scripts.
  * Add a cleverly hackish preinst that will pull the RESUME setting from
    old config files, migrate it to conf.d/resume, and reset that part of the
    conffile to a factory fresh state.  This should fix the unwanted conffile
    prompt in breezy->dapper upgrades for people who made no local changes.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 17 Feb 2006 15:34:53 +1100

initramfs-tools (0.40ubuntu22) dapper; urgency=low

  * Add mptspi to the list of SCSI modules put in the initramfs by default,
    which is required for some LSI Logic controllers and for the VMware SCSI
    controller in recent VMware versions (See launchpad.net/{27187,31229})
  * Fix typo of /dev/disk/by-*, which I wrote as /dev/disks/by-{uuid,label}
  * Load i2c-keywest before loading therm_pm72 in the PowerPC thermal hook,
    since the latter sometimes needs the former (Closes launchpad.net/27269)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 14 Feb 2006 23:28:35 +1100

initramfs-tools (0.40ubuntu21) dapper; urgency=low

  * Don't update the progress bar once udev has taken /dev away;
    after all, we can't contact usplash anyway at this point.

 -- Scott James Remnant <scott@ubuntu.com>  Wed,  8 Feb 2006 14:34:10 +0000

initramfs-tools (0.40ubuntu20) dapper; urgency=low

  * Add ... to end of strings to match main boot sequence.

 -- Scott James Remnant <scott@ubuntu.com>  Tue,  7 Feb 2006 11:07:50 +0000

initramfs-tools (0.40ubuntu19) dapper; urgency=low

  * Change the first of many "Loading modules" to "Loading essential drivers"
    to improve debugging when people say it breaks at that stage.

 -- Scott James Remnant <scott@ubuntu.com>  Tue,  7 Feb 2006 11:05:15 +0000

initramfs-tools (0.40ubuntu18) dapper; urgency=low

  * Add support for selecting root by UUID or LABEL with syntax such as:
    root=LABEL=myrootfs or root=UUID=92addf34-0f02-4a0e-bfb2-cbaa1e907b77

 -- Adam Conrad <adconrad@ubuntu.com>  Fri,  3 Feb 2006 15:55:01 +0000


