## initramfs-tools 0.40ubuntu34

=== debian/changelog ===
initramfs-tools (0.40ubuntu34) dapper-proposed; urgency=low

  * Added DAC960 to auto scsi modules
    - LP: #31035

 -- Ben Collins <bcollins@ubuntu.com>  Thu, 18 Oct 2007 11:12:23 -0400

initramfs-tools (0.40ubuntu33) dapper-proposed; urgency=low

  * Add megaraid_sas to initrd:
    - LP: #56854
  * Include qla firmware in initrd
    - LP: #74004

 -- Ben Collins <bcollins@ubuntu.com>  Wed, 17 Oct 2007 08:50:14 -0400
