## initramfs-tools 0.69ubuntu20

=== debian/changelog ===
initramfs-tools (0.69ubuntu20) edgy; urgency=low

  * Add the LSI Logic MegaRAID SAS Driver (megaraid_sas) to the SCSI
    module list, common on newer Dell PowerEdge servers, among others.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 25 Oct 2006 18:16:15 +1000

initramfs-tools (0.69ubuntu19) edgy; urgency=low

  * Check for "modules.dep" before running depmod, not "modules.depmod"
    which won't ever exist.  This caused depmod to be run after live
    filesystem generation without the restricted modules available, it
    could also randomly cause the same to happen on upgrades depending
    on the order packages are configured.  Ubuntu: #60938.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 24 Oct 2006 18:51:09 +0100

initramfs-tools (0.69ubuntu18) edgy; urgency=low

  * Anchor regex in sed command to revert conffile edits, to avoid
    double-commenting RESUME= and causing a conffile prompt on upgrades
    (Closes: LP#66599)

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed, 18 Oct 2006 04:54:45 -0700

initramfs-tools (0.69ubuntu17) edgy; urgency=low

  [ Tollef Fog Heen ]
  * Load vga16fb on amd64.

  [ Adam Conrad ]
  * ... but only when booting with a splash.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 17 Oct 2006 12:29:35 +1000

initramfs-tools (0.69ubuntu16) edgy; urgency=low

  * Bring in preinst fixes from Debian, including s/configure/install/ in
    preinst, since preinst is never called with "configure", and checking
    for /proc/swaps before we blindly try to read it to determine RESUME.
  * Do away with the bogus '-n "$2"' test in preinst, since "install" can
    be called without any arguments at all (and often is, on a clean setup)
  * On upgrades, revert the RESUME mangling that dapper's d-i did to our
    config file, avoiding spurious conffile prompts (launchpad.net/63693)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 16 Oct 2006 17:23:41 +1000

initramfs-tools (0.69ubuntu15) edgy; urgency=low

  * Add jmicron module to ide list.
    - Malone #63085

 -- Ben Collins <bcollins@ubuntu.com>  Wed,  4 Oct 2006 09:21:08 -0400

initramfs-tools (0.69ubuntu14) edgy; urgency=low

  * Remove stray "set -x" from scripts/local-premount/suspend.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 20 Sep 2006 08:35:05 +1000

initramfs-tools (0.69ubuntu13) edgy; urgency=low

  * Fix a typo that prevented the passing of the resolution to uswsusp

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 15 Sep 2006 22:09:24 +0100

initramfs-tools (0.69ubuntu12) edgy; urgency=low

  * Add support for high-res uswsusp

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 15 Sep 2006 21:46:29 +0100

initramfs-tools (0.69ubuntu11) edgy; urgency=low

  * since we ship /usr/share/initramfs-tools/conf.d as well as
    /etc/initramfs-tools/conf.d, make sure mkinitramfs also reads from both,
    not only from the /etc location

 -- Oliver Grawert <ogra@ubuntu.com>  Sun, 10 Sep 2006 11:50:14 +0200

initramfs-tools (0.69ubuntu10) edgy; urgency=low

  * Create framebuffer device nodes unconditionally

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Tue,  5 Sep 2006 17:50:53 +0100

initramfs-tools (0.69ubuntu9) edgy; urgency=low

  * Mount /proc and /sys with more restrictive mount options. Ubuntu: #54530.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 23 Aug 2006 11:29:35 +0200

initramfs-tools (0.69ubuntu8) edgy; urgency=low

  * Add support for calling uswsusp

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 11 Aug 2006 09:53:30 +0100

initramfs-tools (0.69ubuntu7) edgy; urgency=low

  * Don't load vga16fb

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon,  7 Aug 2006 21:04:59 +0100

initramfs-tools (0.69ubuntu6) edgy; urgency=low

  * Change dependency to one on volumeid.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 25 Jul 2006 14:04:28 +0100

initramfs-tools (0.69ubuntu5) edgy; urgency=low

  * Add dependency on libvolumeid0 so we can get the vol_id tool.
  * On fresh installation, after finding the active swap partition, store
    the UUID if possible.
  * On upgrade from dapper, rewrite the RESUME= line to use the UUID of the
    partition if possible.

  * Fix bug in previous patch, should check for UUID= or LABEL= before
    testing the existance of the "file".
  * Also force stat to dereference the /dev/disk/by-* symlinks.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 24 Jul 2006 22:58:49 +0100

initramfs-tools (0.69ubuntu4) edgy; urgency=low

  * scripts/local-premount/suspend: Check for UUID= or LABEL= on the
    start of $resume, and use /dev/disk/by-{uuid,label} if found.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 21 Jul 2006 17:58:34 +0100

initramfs-tools (0.69ubuntu3) edgy; urgency=low

  * debian/initramfs-tools.install, debian/initramfs-tools.preinst,
    debian/initramfs-tools.postinst: Copy default modules file in the
    postinst (when it's actually available) rather than in the preinst (when
    it isn't). Copy it from /usr/share/initramfs-tools/ rather than from
    /usr/share/doc/initramfs-tools/examples/, per policy.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 13 Jul 2006 10:04:26 +0100

initramfs-tools (0.69ubuntu2) edgy; urgency=low

  * debian/initramfs-tools.preinst: Make sure /etc/initramfs-tools and
    /etc/initramfs-tools/conf.d exist before trying to write to them.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 13 Jul 2006 09:19:05 +0100

initramfs-tools (0.69ubuntu1) edgy; urgency=low

  [ Jeff Bailey ]
  * Merge from debian unstable.

 -- Jeff Bailey <jbailey@ubuntu.com>  Wed, 12 Jul 2006 19:22:22 -0400

initramfs-tools (0.69) unstable; urgency=low

  * scripts/local-premount/suspend, scripts/local-premount/resume: Rename
    to the later as the script resumes from resume arg.

  * init: Parse for noresume and only export resume if it is not set.
    Allows boot scripts to check for it's eventual existence.
    Thanks David Härdeman <david@2gen.com> for the suggestion.

  * update-initramfs: Add option "-b directory" to override BOOTDIR.

