=== debian/control ===
Source: initramfs-tools
Section: utils
Priority: optional
Uploaders: Jeff Bailey <jbailey@ubuntu.com>, maximilian attems <maks@sternwelten.at>
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Build-Depends-Indep: debhelper (>= 4.0.0), cdbs
Standards-Version: 3.7.2.0

Package: initramfs-tools
Architecture: all
Depends: klibc-utils (>= 1.1.16-1), busybox-initramfs, cpio, volumeid
Description: tools for generating an initramfs
 This package contains tools to create and boot an initramfs for prepackaged
 2.6 Linux kernel. The initramfs is a gzipped cpio archive. At boot time, the
 kernel unpacks that archive into RAM, mounts and uses it as initial root file
 system. From there on the mounting of the real root file system occurs in user
 space. klibc handles the boot-time networking setup. Having the root on NFS
 is also supported.
 Any boot loader with initrd support is able to load an initramfs archive.
