## initramfs-tools 0.85eubuntu10

=== debian/changelog ===
initramfs-tools (0.85eubuntu10) feisty; urgency=low

  * As well as waiting for the existance of the root device node, also check
    to see whether we have a filesystem of some kind on it.  Some devices
    nodes (devmapper/LVM/EVMS, mdadm) will exist before they can be safely
    used.  LP: #103177.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 13 Apr 2007 10:51:27 +0100

initramfs-tools (0.85eubuntu9) feisty; urgency=low

  * Add patch to restore initramfs on failures. Taken from Debian's
    initramfs-tools git repo (5dfd85f416a10b1c41ca7005de38b58715c04472).
  * While we're here, remove snd_ps3 from autoload list on PS3. Isn't in
    initramfs. Installer will add it to /etc/modules.

 -- Ben Collins <bcollins@ubuntu.com>  Tue, 10 Apr 2007 11:05:45 -0400

initramfs-tools (0.85eubuntu8) feisty; urgency=low

  * Add support for the netboot variable, used by casper.  LP: #96072.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri, 30 Mar 2007 23:25:45 +0200

initramfs-tools (0.85eubuntu7) feisty; urgency=low

  * Use -Qb for ppc thermal modprobe's
  * Add snd_ps3 to ps3 module loads. Use -Qb here too.

 -- Ben Collins <bcollins@ubuntu.com>  Thu, 29 Mar 2007 19:54:40 -0400

initramfs-tools (0.85eubuntu6) feisty; urgency=low

  * hook-functions: Add udf to dep_add_modules and auto_add_modules.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Mar 2007 19:47:51 +0000

initramfs-tools (0.85eubuntu5) feisty; urgency=low

  * Copy all of drivers/block/ to initramfs. Can't believe we didn't do this
    before.
  * Add init-premount hook to manually load modules for ps3. These modules do
    not have aliases or auto-load features, so have to do it by hand
    (ps3-system-bus).
  * For auto module inclusions, detect when we need to pack ps3 modules.

 -- Ben Collins <bcollins@ubuntu.com>  Thu,  1 Mar 2007 16:45:48 -0500

initramfs-tools (0.85eubuntu4) feisty; urgency=low

  * Remove the 10MB size restriction from /dev; this doesn't make sense for
    Ubuntu since we use /dev for initramfs/realfs handover and for things like
    bootchart. 

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 27 Feb 2007 15:00:54 +0000

initramfs-tools (0.85eubuntu3) feisty; urgency=low

  * Add aic94xx firmware hooks.

 -- Ben Collins <bcollins@ubuntu.com>  Wed, 21 Feb 2007 15:34:56 -0500

initramfs-tools (0.85eubuntu2) feisty; urgency=low

  * Don't load vga16fb on amd64 either. usplash 0.4-36 fixes things so that
    we don't need it (LP: #67545).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  7 Feb 2007 09:55:05 +0000

initramfs-tools (0.85eubuntu1) feisty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Change Build-Depends to Build-Depends-Indep.
    - Use busybox-initramfs for Depends.
    - RESUME UUID upgrade.
    - add_firmware addition to hook-functions.
    - Use copy_modules_dir for auto module copying.
    - noexec,nodev,nosuid options for /sys and /proc.
    - Do not source udev.conf.
    - Set BUSBOXDIR properly.
    - Keep kinit and gzip in initrd.
    - Use -Qb for for module loading to honor blacklists.
    - all_generic_ide script.
    - Only load vga16fb on amd64 (not i386).
    - Remove lvm local-top script (conflicts with lvm-common).
    - takeover=1 in update-initramfs.
    - Remove udev_helper local-top script. It loads ide-generic, and we don't
      want that.
      - Closes: #76872

 -- Ben Collins <bcollins@ubuntu.com>  Tue,  2 Jan 2007 20:28:59 -0500

initramfs-tools (0.85e) unstable; urgency=high

  Release "Qu'ils soient rouges, bleus ou blancs Il faudrait mieux les pendre"

  * initramfs-tools.8: Correct copy_exec() example. (closes: 403122)
    Add a better dir to copy_modules_dir() example.

  * mkinitramfs: Revert the sed magic busybox hardlinking for size reduction.
    Go for functionality. The klibc binaries are better tested and superior
    in some cases like sleep. Fixes several boot troubles. Thanks
    Benjamí Villoslada <benjami@bitassa.cat> for the report. (closes: 403224)
    Thanks Jurij Smakov <jurij@debian.org> for pinpointing the trouble.

  * hook-functions: Add all drivers/ata drivers to initramfs that exist for
    uname >= 2.6.19 (closes: 403309) urgency high.

  * scripts/init-top/framebuffer: Fix syntax by closing the brackets. Handle
    options of the form key:value, map kernel bootarg to module name for
    matroxfb. Thanks Rob Walker <rob@tenfoot.org.uk> for the patches
    (closes: 403667, 403669). Use posix regexes according to review by
    Jurij Smakov <jurij@debian.org>. Also protect all variables.

 -- maximilian attems <maks@sternwelten.at>  Wed, 20 Dec 2006 22:29:51 +0100

initramfs-tools (0.85d) unstable; urgency=high

  Release "Le gros ventre qu'engraisse L'suffrage universel"

  * update-initramfs: run_lilo() needs to show errors of lilo -t on failure
    and exit with failure message. Thanks David Anselmi <anselmi@anselmi.us>
    for report. (closes: 401331) Updated according to review by
    Jurij Smakov <jurij@debian.org>.

  * hook-functions: Add hppa zalon scsi module. (closes: 401229) urgency high

  * update-initramfs: Add warning for missing initramfs on update mode without
    takeover arg. Restructure altered_check, don't delete sha1sum on failure.
    Thanks Jurij Smakov <jurij@debian.org> for noticing.

   * mkinitramfs: Reduce size of initramfs by keeping 1 busybox copy.
     Thanks for the patch input to Russell Coker <russell@coker.com.au>.
     Thanks for the sed rework to Klaus Ita <deb.ian@worstofall.com>.
     (closes: 338405)

 -- maximilian attems <maks@sternwelten.at>  Thu, 14 Dec 2006 16:10:06 +0100

initramfs-tools (0.85c) unstable; urgency=medium

  Release "Pour être heureux vraiment Faut plus d'gouvernement"

  * hook-funcions: Show on verbose mode the added binaries and libraries.

  * update-initramfs: Don't silently fail, user won't be able to reboot.
    Thanks Mario Aeby for his blog entry.

  * debian/copyright: Moved to bzr.d.o repo location.


