## initramfs-tools 0.85eubuntu20

=== debian/changelog ===
initramfs-tools (0.85eubuntu20) gutsy; urgency=low

  * Updates for ps3 modules

 -- Ben Collins <bcollins@ubuntu.com>  Thu, 04 Oct 2007 10:31:53 -0400

initramfs-tools (0.85eubuntu19) gutsy; urgency=low

  * Always mount loop-mount NTFS host filesystems read-write; ntfs-3g can't
    remount yet.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 06 Sep 2007 23:36:24 +0100

initramfs-tools (0.85eubuntu18) gutsy; urgency=low

  * Use dpkg-trigger even in our own postinst, unless we're doing
    trigger processing or the running dpkg version doesn't support
    reflexive triggers.  This reduces update-initramfs runs from two per
    upgrade batch to one per batch.

 -- Ian Jackson <iwj@ubuntu.com>  Fri, 24 Aug 2007 15:45:38 +0100

initramfs-tools (0.85eubuntu17) gutsy; urgency=low

  * Use dpkg-trigger (if available and operational) to save on
    calls to update-initramfs.

 -- Ian Jackson <iwj@ubuntu.com>  Thu, 16 Aug 2007 16:03:52 +0100

initramfs-tools (0.85eubuntu16) gutsy; urgency=low

  * Load thermal modules on lpia as well.  This may need to change in
    the future to support hardware-specific features, but it's a start.


 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 31 Jul 2007 15:30:42 +1000

initramfs-tools (0.85eubuntu15) gutsy; urgency=low

  * Add support for loop=, loopflags=, and loopfstype= arguments, to allow
    the real root filesystem to be loop-mounted from a given file on the
    filesystem specified by root=.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 30 Jul 2007 16:46:19 +0100

initramfs-tools (0.85eubuntu14) gutsy; urgency=low
  
  * Add support for sunvnet and sunvdc in hook-functions.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 04 Jul 2007 18:59:22 +0200

initramfs-tools (0.85eubuntu13) gutsy; urgency=low

  * fix nfsroot handling if rootserver is specified with IP and colon in
    root-path (debian bug #387808)

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 04 Jul 2007 10:19:49 +0200

initramfs-tools (0.85eubuntu12) gutsy; urgency=low

  * Add support for alternative prerequisites, specified as e.g.
    "kbd|console-tools" (note the lack of spaces around the "|").

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 01 Jun 2007 16:14:22 +0100

initramfs-tools (0.85eubuntu11) gutsy; urgency=low

  * Allow modules specified by force_load to be blacklisted.
  * Drop scripts/init-premount/thermal since this can be handled by using
    force_load now.

  * Make sure framebuffer modules can be blacklisted.

  * Drop mdrun script, since this can be handled entirely within the udev
    and initramfs scripts supplied by the mdadm package.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 22 May 2007 10:42:34 +0100
