## initramfs-tools 0.85eubuntu36

=== debian/changelog ===
initramfs-tools (0.85eubuntu36) hardy; urgency=low

  * Drop dependency on volumeid, it's shipped by udev again.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 10 Apr 2008 14:00:46 +0100

initramfs-tools (0.85eubuntu35) hardy; urgency=low

  * hook-functions: Do not display find error messages if firmware directories
    cannot be found. (LP: #153743)
  * scripts/functions: Remove unneeded quotes. These were causing multiple
    mountroot fail hook entries to be run as one command.
  * scripts/local: Panic if the root device node cannot be found, or vol_id
    can't identify the volume on the device. This allows mdadm's mountroot fail
    hook to be reliably triggered, as the md device node exists even if the
    array cannot be brought up.
  * init: Add 2>&1 to the run-init line at the end of the file, to fix a long
    outstanding bug where init has no stderr.
  * scripts/local-premount/resume: Source /scripts/functions, thanks to
    Nikolaus Filus for the patch. (LP: #203429)

 -- Luke Yelavich <luke.yelavich@canonical.com>  Thu, 10 Apr 2008 00:48:51 +1000

initramfs-tools (0.85eubuntu34) hardy; urgency=low

  * Wow, somehow my fix for 129910 got removed. Re-implement. DO NOT USE -Qb
    for framebuffer. We need to ignore blacklist for forced vga= usage.

 -- Ben Collins <bcollins@ubuntu.com>  Tue, 18 Mar 2008 11:46:44 -0400

initramfs-tools (0.85eubuntu33) hardy; urgency=low

  * Edit scripts/local with patch from
    https://bugs.edge.launchpad.net/wubi/+bug/201750 comment 1
    "Cannot remount loopfiles inside of vfat"
    "The workaround involves mounting all loopinstallations rw to begin with"
    Closes LP: #201750

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 17 Mar 2008 14:35:20 +0000

initramfs-tools (0.85eubuntu32) hardy; urgency=low

  * Drop -9 to gzip call in order to save time at a very small size
    penalty (< 1%)

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri, 14 Mar 2008 10:41:38 +0100

initramfs-tools (0.85eubuntu31) hardy; urgency=low

  * debian/initramfs-tools.preinst: If /etc/mkinitramfs/initramfs.conf was not
    modified, do not copy it over to /etc/initramfs-tools on a dapper->hardy
    upgrade, since this causes an unnecessary dpkg conffile prompt.
    (LP: #172853)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 13 Mar 2008 19:19:59 +0100

initramfs-tools (0.85eubuntu30) hardy; urgency=low

  * Fix check for "ro" on /boot
    - LP: #197470

 -- Ben Collins <bcollins@ubuntu.com>  Tue, 11 Mar 2008 14:41:15 -0400

initramfs-tools (0.85eubuntu29) hardy; urgency=low

  * Do not honor blacklists for vga=/video= parsing. We should always load the
    fb drivers in this case (since this is a manual operation on the part of
    the user)
    LP: #129910

 -- Ben Collins <bcollins@ubuntu.com>  Tue, 11 Mar 2008 11:46:08 -0400

initramfs-tools (0.85eubuntu28) hardy; urgency=low

  * update-initramfs: remove failed ".new" initrd when creation is aborted.

 -- Kees Cook <kees@ubuntu.com>  Mon, 10 Mar 2008 15:25:03 -0700

initramfs-tools (0.85eubuntu27) hardy; urgency=low

  * Copy the initramfs image to a backup file, in the event that the /boot
    filesystem doesn't support hard links.

 -- Luke Yelavich <luke.yelavich@canonical.com>  Fri, 07 Mar 2008 09:17:53 +1100

initramfs-tools (0.85eubuntu26) hardy; urgency=low

  * Loop for 5 seconds waiting for $suspend to show up.

 -- Soren Hansen <soren@ubuntu.com>  Fri, 29 Feb 2008 15:34:35 -0500

initramfs-tools (0.85eubuntu25) hardy; urgency=low

  * scripts/functions:
    - Call all registered mountroot failure hooks, rather than
      stopping at one that has reported a failure.
    - Change the loop code that runs mountroot failure hooks, so we don't end up
      in an infinite loop.

 -- Luke Yelavich <luke.yelavich@canonical.com>  Mon, 18 Feb 2008 11:59:07 +1100

initramfs-tools (0.85eubuntu24) hardy; urgency=low

  * Implement the initramfs-tools part of the initramfs error handling spec
  * update-initramfs:
    - Make a hard link to the original initramfs image, rather than moving
      it out of the way.
    - Create a new initramfs image to ${initramfs}.new, to ensure we still
      have a functional initramfs in case of failure. The original initramfs
      only gets replaced when a new image is successfully created.
  * scripts/functions:
    - Added add_mountroot_fail_hook function to allow scripts in
      init-premount to register a hook to allow extra information
      to be given to the user, in the event of a non-existant root
      device.
    - The panic function now runs any registered mountroot fail hooks that
      were previously registered, and only does so when passed the -r
      argument from the calling function.
  * scripts/local: Call the panic function with -r to run any registered
    mountroot fail hooks when a root device cannot be found.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 05 Feb 2008 13:38:51 +1100

initramfs-tools (0.85eubuntu23) hardy; urgency=low

  * Fix broken test in ro_boot_check (LP: #187282).  It was matching ro
    as a subword.

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 30 Jan 2008 10:35:28 -0500

initramfs-tools (0.85eubuntu22) hardy; urgency=low

  * Load virtio_pci for MODULES=most.

 -- Soren Hansen <soren@ubuntu.com>  Wed, 23 Jan 2008 19:27:18 +0100

initramfs-tools (0.85eubuntu21) hardy; urgency=low

  * Drop code to increment the usplash progress bar after each message,
    instead this will be pulsating until the real system.  LP: #162397.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 13 Nov 2007 20:41:33 +0000
