## initramfs-tools 0.85eubuntu39.1netbook1

=== debian/changelog ===
initramfs-tools (0.85eubuntu39.1netbook1) hardy; urgency=low

  * reduce_output.patch: Reduce output generated by initramfs

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Tue, 26 Aug 2008 21:11:50 +0000

initramfs-tools (0.85eubuntu39.1) hardy-proposed; urgency=low

  * Add vfat support to the initramfs (LP: #236021).

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 30 May 2008 14:13:30 -0400

initramfs-tools (0.85eubuntu39) hardy-proposed; urgency=low

  * Provide a clearer error on mount failure of the Windows host
    filesystem (LP: #226622)

 -- Agostino Russo <agostino.russo@gmail.com>  Tue, 06 May 2008 23:55:47 +0100
