=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

pre-build::
	chmod +x init mkinitramfs
	chmod +x hooks/*
	for x in `find scripts/ -maxdepth 1 -type d | tail -n+2`; do \
	  chmod -R +x $$x; \
	done

binary-install/initramfs-tools::
	install -m 644 -o 0 -g 0 debian/initramfs-tools.triggers \
		debian/initramfs-tools/DEBIAN/triggers
