## initramfs-tools 0.85eubuntu39.2netbook1

=== debian/changelog ===
initramfs-tools (0.85eubuntu39.2netbook1) hardy; urgency=low

  * reduce_output.patch: Reduce output generated by initramfs 

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 03 Sep 2008 18:03:08 +0000
