## initramfs-tools 0.85eubuntu39.3netbook1

=== debian/changelog ===
initramfs-tools (0.85eubuntu39.3netbook1) netbook-common; urgency=low

  * Merge new Hardy release.

 -- Gary Lasker <gary.lasker@canonical.com>  Mon, 02 Mar 2009 18:07:55 -0500
