## initramfs-tools 0.85g~bpo.1

=== debian/changelog ===
initramfs-tools (0.85g~bpo.1) sarge-backports; urgency=low

  * Rebuilt for sarge.

 -- Norbert Tretkowski <nobse@backports.org>  Fri, 13 Apr 2007 10:25:37 +0200

initramfs-tools (0.85g) unstable; urgency=high

  * SECURITY scripts/functions: Set permission of created root dev in
    parse_numeric() to 600. This bug only affects lilo boots. Thanks
    Fabian Pietsch <fabian@canvon.dyndns.org> and Goswin von Brederlow
    <brederlo@informatik.uni-tuebingen.de> for patch input. (closes: 417995)

  * debian/control: Change Uploaders email.

 -- maximilian attems <maks@debian.org>  Fri,  6 Apr 2007 09:19:13 +0200

initramfs-tools (0.85f) unstable; urgency=high

  Release "Au lieu d'aller voter Casse leur la margoulette"

  * update-initramfs: Grub _doesn't_ clear LILO string in mbr, but the inverse
    is done. Fix mbr_check() to first check for GRUB. Fixes accidental lilo
    call in the case that Grub is the used bootloader. (closes: 409820)
    Thanks Michael Prokop <mika@grml.org> for bringing up the case.

  * initramfs.conf.5, mkinitramfs.5: Fix typos. Document version.
    (closes: 405157, 405190, 405194)

  * update-initramfs: Be more screamy about lilo error, people seem to
    overlook recent lilo failures.

  * scripts/init-top/framebuffer: Remove unused variables.

  * init: Export ROOTDELAY to let udev boot script handle eventual rootdelay.
    downgrades 401916

 -- maximilian attems <maks@sternwelten.at>  Wed,  7 Mar 2007 23:34:17 +0100
