=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: initramfs-tools
 Section: utils
 Priority: optional
-Uploaders: Jeff Bailey <jbailey@ubuntu.com>, maximilian attems <maks@debian.org>, Norbert Tretkowski <nobse@backports.org>
+Uploaders: Jeff Bailey <jbailey@ubuntu.com>, maximilian attems <maks@debian.org>
 Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
 Build-Depends: debhelper (>= 4.1.0), cdbs
 Standards-Version: 3.7.2.0
